LRUCacheItem< T > Class Template Reference

`#include <pcl/outofcore/impl/lru_cache.hpp>`

## Public Member Functions

virtual size_t | sizeOf () const
virtual | ~LRUCacheItem ()

## Public Attributes

T | item
size_t | timestamp

## Detailed Description

### template<typename T>
class LRUCacheItem< T >

Definition at line 9 of file lru_cache.hpp.

## Constructor & Destructor Documentation

## ~LRUCacheItem()

template<typename T>

virtual LRUCacheItem< T >::~LRUCacheItem | ( |  | ) |

inline virtual

Definition at line 20 of file lru_cache.hpp.

## Member Function Documentation

## sizeOf()

template<typename T>

virtual size_t LRUCacheItem< T >::sizeOf | ( |  | ) | const

inline virtual

Reimplemented in OutofcoreCloud::CloudDataCacheItem.

Definition at line 14 of file lru_cache.hpp.

## Member Data Documentation

## item

template<typename T>

T LRUCacheItem< T >::item

Definition at line 22 of file lru_cache.hpp.

Referenced by LRUCacheItem< vtkSmartPointer< vtkPolyData > >::sizeOf().

## timestamp

template<typename T>

size_t LRUCacheItem< T >::timestamp

Definition at line 23 of file lru_cache.hpp.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/outofcore/include/pcl/outofcore/impl/lru_cache.hpp